// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-analytics.proto

package com.accelfin.server.demo.analytics.dtos;

/**
 * Protobuf type {@code com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto}
 */
public  final class UpdateReportSubscriptionResponseAckDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto)
    UpdateReportSubscriptionResponseAckDtoOrBuilder {
  // Use UpdateReportSubscriptionResponseAckDto.newBuilder() to construct.
  private UpdateReportSubscriptionResponseAckDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private UpdateReportSubscriptionResponseAckDto() {
    isSuccess_ = false;
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private UpdateReportSubscriptionResponseAckDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 8: {

            isSuccess_ = input.readBool();
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto.class, com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto.Builder.class);
  }

  public static final int IS_SUCCESS_FIELD_NUMBER = 1;
  private boolean isSuccess_;
  /**
   * <code>optional bool is_success = 1;</code>
   */
  public boolean getIsSuccess() {
    return isSuccess_;
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (isSuccess_ != false) {
      output.writeBool(1, isSuccess_);
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (isSuccess_ != false) {
      size += com.google.protobuf.CodedOutputStream
        .computeBoolSize(1, isSuccess_);
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto)
      com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto.class, com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto.Builder.class);
    }

    // Construct using com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      isSuccess_ = false;

      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalytics.internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_descriptor;
    }

    public com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto getDefaultInstanceForType() {
      return com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto.getDefaultInstance();
    }

    public com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto build() {
      com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto buildPartial() {
      com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto result = new com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto(this);
      result.isSuccess_ = isSuccess_;
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto) {
        return mergeFrom((com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto other) {
      if (other == com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto.getDefaultInstance()) return this;
      if (other.getIsSuccess() != false) {
        setIsSuccess(other.getIsSuccess());
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private boolean isSuccess_ ;
    /**
     * <code>optional bool is_success = 1;</code>
     */
    public boolean getIsSuccess() {
      return isSuccess_;
    }
    /**
     * <code>optional bool is_success = 1;</code>
     */
    public Builder setIsSuccess(boolean value) {
      
      isSuccess_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional bool is_success = 1;</code>
     */
    public Builder clearIsSuccess() {
      
      isSuccess_ = false;
      onChanged();
      return this;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto)
  private static final com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto();
  }

  public static com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<UpdateReportSubscriptionResponseAckDto>
      PARSER = new com.google.protobuf.AbstractParser<UpdateReportSubscriptionResponseAckDto>() {
    public UpdateReportSubscriptionResponseAckDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new UpdateReportSubscriptionResponseAckDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<UpdateReportSubscriptionResponseAckDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<UpdateReportSubscriptionResponseAckDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.demo.analytics.dtos.UpdateReportSubscriptionResponseAckDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

